.first-modal .btn-close {

	cursor: pointer;

    position: absolute;

    right: 0;

    top: 0;

    z-index: 99;

    font-size: 1rem;

    color: #fff;

    font-weight: 300;

    transition: opacity .25s ease-in-out;

    background-size: 50%;

    filter: var(--bs-btn-close-white-filter);

}

.first-modal .btn-close:before{

	content: "";

    border: 3px solid #fff;

    border-radius: 50%;

    width: 2rem;

    height: 2rem;

    position: absolute;

    left: -0.25rem;

    top: -0.25rem;

    z-index: 100;

    filter: invert(1);

}

.first-modal .btn-close:hover {

    text-decoration: none;

    opacity: .75;

}



.first-modal .modal-content {

	background: none;

	padding-right: 1.5rem;

    padding-left: 1.5rem;

}

.first-modal  .modal-body {

    margin-right: calc(1.5rem * -1);

    margin-left: calc(1.5rem * -1);

}

.modal-backdrop.show {

	opacity: 0.75;

}





.layer-form .container-fluid .ask-content {

    background-color: #2e2e30;

    border-radius: 17px;

    padding: 4rem 6rem 3rem;

}



.ask-price .container-fluid .text-title {

	margin-bottom: 3rem;

	font-weight:bold;

}

.ask-price .container-fluid h5.text-title{

	font-size:2.5rem;

}

.first-modal .form-control,

.first-modal .form-select {

	border: none;

	border-radius: 17px;

	background-color: #f5f5f5;

}



.first-modal form .col-sm-6 {

	margin-bottom: 0.85rem;

}



.first-modal .form-tel{

	display: inline-block;

    float: right;

}

.first-modal .form-tel a {

    color: #787878;

}

/*表单优化*/

.needs-validation label span{

	color: red;

}

.needs-validation label{

	font-weight: 500;

	font-size: 13px;

	margin: 0 0 5px 4px;

	line-height: 1.4;

}

.ask-price .form-control,

.ask-price .form-select {

	color: #565973;

	border: 1px solid #d4d7e5;

}

.ask-price .form-control:focus, .ask-price .form-select:focus {

    box-shadow: inset 0 0 0 rgb(0 0 0 / 0%), 0 0.5rem 1.125rem -0.5rem #d3d3d3;

}

.ask-price .form-control:focus {

    background-color: #fff;

    outline: 0;

    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0), 0 .5rem 1.125rem -0.5rem rgba(99, 102, 241, .2);

}

.invalid-feedback {

	display: block;

    visibility: hidden;

    padding-left: 0.5rem;

	width: 100%;

	margin-top: .25rem;

	font-size: 0.75rem;

	color: #ef4444

}

.form-control-sm {

    min-height: calc(1.6em + 0.95rem + 2px);

    padding: .475rem .875rem;

}

.was-validated :invalid~.invalid-feedback, .was-validated :invalid~.invalid-tooltip, .is-invalid~.invalid-feedback, .is-invalid~.invalid-tooltip {

    visibility: inherit;

}

.invalid-tooltip {

	position: absolute;

	top: 100%;

	z-index: 5;

	display: none;

	max-width: 100%;

	padding: .25rem .5rem;

	margin-top: .1rem;

	font-size: 0.75rem;

	color: #000;

	background-color: rgba(239, 68, 68, .9);

	border-radius: .25rem

}



.was-validated :invalid~.invalid-feedback,

.was-validated :invalid~.invalid-tooltip,

.is-invalid~.invalid-feedback,

.is-invalid~.invalid-tooltip {

	display: block

}



.was-validated .form-control:invalid,

.form-control.is-invalid {

	border-color: #ef4444;

	padding-right: calc(1.6em + 1.25rem);

	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23ef4444'%3e%3cpath d='M7.643 13.535L10 11.178l2.357 2.357 1.178-1.178L11.178 10l2.357-2.357-1.178-1.178L10 8.822 7.643 6.465 6.465 7.643 8.822 10l-2.357 2.357 1.178 1.178zM10 18.333c4.595 0 8.333-3.738 8.333-8.333S14.595 1.667 10 1.667 1.667 5.405 1.667 10 5.405 18.333 10 18.333zm0-15c3.676 0 6.667 2.991 6.667 6.667S13.676 16.667 10 16.667 3.333 13.676 3.333 10 6.324 3.333 10 3.333z'/%3e%3c/svg%3e");

	background-repeat: no-repeat;

	background-position: right calc(0.4em + 0.3125rem) center;

	background-size: calc(0.8em + 0.625rem) calc(0.8em + 0.625rem)

}



.was-validated .form-control:invalid:focus,

.form-control.is-invalid:focus {

	border-color: #ef4444;

	box-shadow: 0 0 0 0 rgba(239, 68, 68, .25)

}



.was-validated textarea.form-control:invalid,

textarea.form-control.is-invalid {

	padding-right: calc(1.6em + 1.25rem);

	background-position: top calc(0.4em + 0.3125rem) right calc(0.4em + 0.3125rem)

}



.was-validated .form-select:invalid,

.form-select.is-invalid {

	border-color: #ef4444

}



.was-validated .form-select:invalid:not([multiple]):not([size]),

.was-validated .form-select:invalid:not([multiple])[size="1"],

.form-select.is-invalid:not([multiple]):not([size]),

.form-select.is-invalid:not([multiple])[size="1"] {

	padding-right: 5.5rem;

	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23565973' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e"), url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23ef4444'%3e%3cpath d='M7.643 13.535L10 11.178l2.357 2.357 1.178-1.178L11.178 10l2.357-2.357-1.178-1.178L10 8.822 7.643 6.465 6.465 7.643 8.822 10l-2.357 2.357 1.178 1.178zM10 18.333c4.595 0 8.333-3.738 8.333-8.333S14.595 1.667 10 1.667 1.667 5.405 1.667 10 5.405 18.333 10 18.333zm0-15c3.676 0 6.667 2.991 6.667 6.667S13.676 16.667 10 16.667 3.333 13.676 3.333 10 6.324 3.333 10 3.333z'/%3e%3c/svg%3e");

	background-position: right 1rem center, center right 3rem;

	background-size: 16px 12px, calc(0.8em + 0.625rem) calc(0.8em + 0.625rem)

}



.was-validated .form-select:invalid:focus,

.form-select.is-invalid:focus {

	border-color: #ef4444;

	box-shadow: 0 0 0 0 rgba(239, 68, 68, .25)

}



.was-validated .form-control-color:invalid,

.form-control-color.is-invalid {

	width: calc(3rem + calc(1.6em + 1.25rem))

}



.was-validated .form-check-input:invalid,

.form-check-input.is-invalid {

	border-color: #ef4444

}



.was-validated .form-check-input:invalid:checked,

.form-check-input.is-invalid:checked {

	background-color: #ef4444

}



.was-validated .form-check-input:invalid:focus,

.form-check-input.is-invalid:focus {

	box-shadow: 0 0 0 0 rgba(239, 68, 68, .25)

}



.was-validated .form-check-input:invalid~.form-check-label,

.form-check-input.is-invalid~.form-check-label {

	color: #ef4444

}



.form-check-inline .form-check-input~.invalid-feedback {

	margin-left: .5em

}



.was-validated .input-group>.form-control:not(:focus):invalid,

.input-group>.form-control:not(:focus).is-invalid,

.was-validated .input-group>.form-select:not(:focus):invalid,

.input-group>.form-select:not(:focus).is-invalid,

.was-validated .input-group>.form-floating:not(:focus-within):invalid,

.input-group>.form-floating:not(:focus-within).is-invalid {

	z-index: 4

}

.learn-more {

    cursor: pointer;

    padding: 10px 26px;

    background-color: var(--bs-theme-color);

    color: #fff;

    display: inline-block;

    font-size: 13px;

    line-height: 24px;

    font-weight: 600;

    border-radius: 40px;

    border: 2px solid var(--bs-theme-color);

}

.learn-more:hover {

    opacity: 0.8;

    color: #fff;

    transition: .3s ease-out;

}

.hs-message{

	display: block;

    padding-left: 0.5rem;

    width: 100%;

    margin-top: .25rem;

    font-size: 0.75rem;

    color: #ef4444;

}



.valid-feedback {

	display: none;

	width: 100%;

	margin-top: .25rem;

	font-size: 0.75rem;

	color: #22c55e

}



.valid-tooltip {

	position: absolute;

	top: 100%;

	z-index: 5;

	display: none;

	max-width: 100%;

	padding: .25rem .5rem;

	margin-top: .1rem;

	font-size: 0.75rem;

	color: #000;

	background-color: rgba(34, 197, 94, .9);

	border-radius: .25rem

}



.was-validated :valid~.valid-feedback,

.was-validated :valid~.valid-tooltip,

.is-valid~.valid-feedback,

.is-valid~.valid-tooltip {

	display: block

}



.was-validated .form-control:valid,

.form-control.is-valid {

	border-color: #22c55e;

	padding-right: calc(1.6em + 1.25rem);

	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%2322c55e'%3e%3cpath d='M10 1.667c-4.595 0-8.333 3.738-8.333 8.333S5.405 18.333 10 18.333s8.333-3.738 8.333-8.333S14.595 1.667 10 1.667zm0 15c-3.676 0-6.667-2.991-6.667-6.667S6.324 3.333 10 3.333 16.667 6.324 16.667 10 13.676 16.667 10 16.667zm-1.668-5.345L6.416 9.41 5.24 10.59l3.094 3.088 5.588-5.588-1.178-1.178-4.412 4.412z'/%3e%3c/svg%3e");

	background-repeat: no-repeat;

	background-position: right calc(0.4em + 0.3125rem) center;

	background-size: calc(0.8em + 0.625rem) calc(0.8em + 0.625rem)

}



.was-validated .form-control:valid:focus,

.form-control.is-valid:focus {

	border-color: #22c55e;

	box-shadow: 0 0 0 0 rgba(34, 197, 94, .25)

}



.was-validated textarea.form-control:valid,

textarea.form-control.is-valid {

	padding-right: calc(1.6em + 1.25rem);

	background-position: top calc(0.4em + 0.3125rem) right calc(0.4em + 0.3125rem)

}



.was-validated .form-select:valid,

.form-select.is-valid {

	border-color: #22c55e

}



.was-validated .form-select:valid:not([multiple]):not([size]),

.was-validated .form-select:valid:not([multiple])[size="1"],

.form-select.is-valid:not([multiple]):not([size]),

.form-select.is-valid:not([multiple])[size="1"] {

	padding-right: 5.5rem;

	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23565973' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e"), url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%2322c55e'%3e%3cpath d='M10 1.667c-4.595 0-8.333 3.738-8.333 8.333S5.405 18.333 10 18.333s8.333-3.738 8.333-8.333S14.595 1.667 10 1.667zm0 15c-3.676 0-6.667-2.991-6.667-6.667S6.324 3.333 10 3.333 16.667 6.324 16.667 10 13.676 16.667 10 16.667zm-1.668-5.345L6.416 9.41 5.24 10.59l3.094 3.088 5.588-5.588-1.178-1.178-4.412 4.412z'/%3e%3c/svg%3e");

	background-position: right 1rem center, center right 3rem;

	background-size: 16px 12px, calc(0.8em + 0.625rem) calc(0.8em + 0.625rem)

}



.was-validated .form-select:valid:focus,

.form-select.is-valid:focus {

	border-color: #22c55e;

	box-shadow: 0 0 0 0 rgba(34, 197, 94, .25)

}



.was-validated .form-control-color:valid,

.form-control-color.is-valid {

	width: calc(3rem + calc(1.6em + 1.25rem))

}



.was-validated .form-check-input:valid,

.form-check-input.is-valid {

	border-color: #22c55e

}



.was-validated .form-check-input:valid:checked,

.form-check-input.is-valid:checked {

	background-color: #22c55e

}



.was-validated .form-check-input:valid:focus,

.form-check-input.is-valid:focus {

	box-shadow: 0 0 0 0 rgba(34, 197, 94, .25)

}



.was-validated .form-check-input:valid~.form-check-label,

.form-check-input.is-valid~.form-check-label {

	color: #22c55e

}



.form-check-inline .form-check-input~.valid-feedback {

	margin-left: .5em

}



.was-validated .input-group>.form-control:not(:focus):valid,

.input-group>.form-control:not(:focus).is-valid,

.was-validated .input-group>.form-select:not(:focus):valid,

.input-group>.form-select:not(:focus).is-valid,

.was-validated .input-group>.form-floating:not(:focus-within):valid,

.input-group>.form-floating:not(:focus-within).is-valid {

	z-index: 3

}



.fb-proudct-box{

	display: flex;

    align-items: center;

    margin-bottom:1.5rem;

}

.fb-proudct-box img{

	width:5rem;

	height:auto;

	margin-right:1.5rem;

}

.fb-proudct-box .fb-p-name{

	font-size:1.2rem;

	font-weight:bold;

}

@media only screen and (max-width:992px){

	.ask-price .container-fluid .ask-content {

        padding: 1rem;

    }

    .ask-price .container-fluid h5.text-title{

    	font-size: 1rem;

        width: 100%;

        display: flex;

        justify-content: space-between;

        align-items: center;

        margin-bottom:1.5rem;

    }

    .first-modal .form-tel a{

    	padding: 0.375rem;

    }

    .ask-price .col-6:nth-of-type(odd) {

        padding-right: 6px;

    }

    .ask-price .col-6:nth-of-type(even) {

        padding-left: 6px;

    }

    .first-modal .form-control, .first-modal .form-select{

    	border-radius:0.25rem;

    }

    .first-modal .modal-body {

        padding: 0;

    }

    .first-modal .btn-close{

    	top:-2rem;

    }

    .fb-proudct-box .fb-p-name{

    	font-size:1rem;

    }

}

